Return

Return a quantity of an existing part to inventory.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

POST Return

Return a quantity of an existing part to inventory.

POST /ODataApi/v1/Parts('{name}')/Return

Endpoint

https://{sitename}.mvpplant.com/ODataApi/v1/Parts('{name}')/Return

Replace:

  • {sitename} with your MVP One site name.
  • {name} with the part name or part ID.

Path parameter

ParameterTypeRequiredDescription
nameStringYesPart name or part ID for the existing part to return.

Request body fields

FieldData typeRequiredDescription
WarehouseIDStringYesWarehouse where you return the part.
StockLocationStringYesStock location where you return the part.
QuantityDecimalYesQuantity to return.
PeopleIDStringYesPerson associated with the return transaction.
ReturnFromStringYesEntity or source returning the part.
ReturnTypeStringYesType of entity or source returning the part.
FromAccountStringYesAccount used as the return source.
ToAccountStringYesAccount receiving the returned quantity.
NotesStringYesNotes for the return transaction.
DateTimeStringYesDate and time of the return transaction.

Example request

{
  "WarehouseID": "MAIN",
  "StockLocation": "A-01",
  "Quantity": 1,
  "PeopleID": "JSMITH",
  "ReturnFrom": "WO-1001",
  "ReturnType": "WorkOrder",
  "FromAccount": "Maintenance",
  "ToAccount": "Inventory",
  "Notes": "Returned unused part from work order",
  "DateTime": "2026-06-22T10:30:00"
}

Example endpoint

POST https://company.mvpplant.com/ODataApi/v1/Parts('PART-1001')/Return

Response

A successful request returns a Boolean value:

true

Notes

  • The part must already exist before you call this endpoint.
  • Use single quotes around the part name or part ID in the endpoint URL.
  • Quantity is the amount returned.
  • Send DateTime in the date and time format expected by your MVP One environment.
Path Params
string
required

The part name or part ID.

Body Params
string
required

Warehouse where the part is returned.

string
required

Stock location where the part is returned.

number
required

Quantity to return.

string
required

Person associated with the return transaction.

string
required

Entity or source returning the part.

string
required

Type of source returning the part.

string
required

Account used as the return source.

string
required

Account receiving the returned quantity.

string
required

Notes for the return transaction.

string
required

Date and time of the return transaction.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json